API ReferenceConversations

List messages

GET
/api/v1/console/agents/{agentId}/conversations/{conversationId}/messages

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

In: header

Path Parameters

agentId*string
conversationId*string

Query Parameters

page?integer
limit?integer

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/console/agents/string/conversations/string/messages"
{  "message": "Success",  "meta": {    "total_count": 42,    "page_count": 3,    "current_page": 1,    "limit": 20,    "has_next_page": true,    "has_previous_page": true  },  "data": [    {      "id": "string",      "role": "user",      "message": "string",      "message_type": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "message": "Resource not found",  "error": "Not Found",  "code": "not_found",  "statusCode": 404,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}